image
from0.015 / img
Z-Image Turbo
Generates images quickly with clear Chinese and English text rendering and PNG output up to 2K.
import { config, higgsfield } from "@higgsfield/client/v2"; config({ credentials: process.env.HF_CREDENTIALS,}); const result = await higgsfield.subscribe( "z-image/turbo", { input: { "prompt": "A cinematic scene at sunset", "resolution": "1k", "aspect_ratio": "1:1", "prompt_extend": false }, withPolling: true, },); console.log(result);Calling the API
Use z-image/turbo with the Higgsfield API. Keep credentials on your server.
import { config, higgsfield } from "@higgsfield/client/v2"; config({ credentials: process.env.HF_CREDENTIALS,}); const result = await higgsfield.subscribe( "z-image/turbo", { input: { "prompt": "A cinematic scene at sunset", "resolution": "1k", "aspect_ratio": "1:1", "prompt_extend": false }, withPolling: true, },); console.log(result);Request parameters
promptstring · required
Positive prompt describing the desired content, style, and composition.
{
"type": "string",
"maxLength": 2500,
"minLength": 1,
"description": "Positive prompt describing the desired content, style, and composition."
}aspect_ratiostring · optional
Output aspect ratio. Exact provider-recommended dimensions are selected automatically.
Options: 1:1, 2:3, 3:2, 3:4, 4:3, 7:9, 9:7, 9:16, 16:9, 21:9
Default: "1:1"
{
"enum": [
"1:1",
"2:3",
"3:2",
"3:4",
"4:3",
"7:9",
"9:7",
"9:16",
"16:9",
"21:9"
],
"type": "string",
"default": "1:1",
"description": "Output aspect ratio. Exact provider-recommended dimensions are selected automatically."
}resolutionstring · optional
Output resolution tier. Both tiers produce PNG images.
Options: 1k, 2k
Default: "1k"
{
"enum": [
"1k",
"2k"
],
"type": "string",
"default": "1k",
"description": "Output resolution tier. Both tiers produce PNG images."
}prompt_extendboolean · optional
Rewrite and reason over the prompt before generation; this uses the enhanced price tier.
Default: false
{
"type": "boolean",
"default": false,
"description": "Rewrite and reason over the prompt before generation; this uses the enhanced price tier."
}seedinteger · optional
Optional random seed for similar, reproducible results.
{
"type": "integer",
"maximum": 2147483647,
"minimum": 0,
"description": "Optional random seed for similar, reproducible results."
}Price
From $0.0150 per image.
View all pricing